/*
 Death by Hanging::scripts/Game.js
 Copyright (C) 2014 granony
 This software is released under the MIT License.
 http://opensource.org/licenses/mit-license.php
 
 ゲーム全体を管理する
*/
function Game(){

  // リソースマネジャーを作成
  var rm = new ResourceManager();

  // ゲーム中の各シーン
  var scene;
  
  // シーン間で引き継がれるオブジェクト
  var params = {
  };
  
  //
  var $canvas = jQuery("#canvas");
  var canvas = $canvas[0];
  canvas.setAttribute("width", WIDTH);
  canvas.setAttribute("height", HEIGHT);
  
  // シーン遷移
  var onChangeScene = function(event){
    dbgLog("onChangeScene to " + event.id);
    var id = event.id;
    scene.stop();
    switch (id){
      case "load" : scene = LoadScene(rm, params);
                    break;
      case "title": scene = TitleScene(rm, params);
                    break;
      case "play" : scene = PlayScene(rm, params);
                    break;
      default     : dbgLog("undefined scene id is detected: "+ id);
    }
    scene.start();
  };
  
  var run = function(){
    document.addEventListener("change_scene", onChangeScene);
    scene = LoadScene(rm, params);
    scene.start();
  };

  var that = {
    run: run,
  };
  return that;

}