/*
 Death by Hanging::scripts/LoadScene.js
 Copyright (C) 2014 granony
 This software is released under the MIT License.
 http://opensource.org/licenses/mit-license.php
 
 ロード用シーン
 ResourceManager を起動し，終了後タイトルシーンへ移行させる
*/
function LoadScene(rm, params){

  var dom = jQuery("#game")[0];
  var ctx = jQuery("#canvas")[0].getContext("2d");
  
  ctx.font = "normal bold 20px sans-serif";
  ctx.textAlign = "left";
  ctx.textBaseline = "top";
  
  var drawProgress = function(){
    ctx.fillStyle = "#000000";
    ctx.fillRect(0,0, WIDTH, HEIGHT);
    ctx.fillStyle= "#FFFFFF";
    ctx.fillText("Death by Hanging "+VERSION, 20, 40);
    ctx.fillText("Now loading...", 40, 60);
  }
  
  var drawLoadResourceProgress = function(){
    ctx.fillText("Loaded resources="+ rm.loadedResourceNum + "/" + rm.totalResourceNum,
                  40, 80);
  }
  
  // リソース読み込み進展時，進行状況を表示
  var onLoadResourcesProgress = function(){
    drawProgress();
    drawLoadResourceProgress();
  }
  
  // リソース読み込み完了時，タイトルシーンへ遷移する
  var onLoadResourcesComplete = function(){
    dom.removeEventListener("load_resources_progress", onLoadResourcesProgress);
    dom.removeEventListener("load_resources_complete", onLoadResourcesComplete);
    dom.dispatchEvent(createChangeSceneEvent("title"));
  };
  
  // 起動
  var start = function(){
    dom.addEventListener("load_resources_progress", onLoadResourcesProgress);
    dom.addEventListener("load_resources_complete", onLoadResourcesComplete);
    rm.load(params);
  };
  
  var that = {
    start:start,
    stop: function(){},
    pause: function(){},
    restart: function(){},
  };
  
  return that;

}