/*
 Death by Hanging::scripts/Resources.js
 Copyright (C) 2014 granony
 This software is released under the MIT License.
 http://opensource.org/licenses/mit-license.php
 
 リソースの定義を行う
*/

var imageDefs = {
  system: [
    "background_1", "background_2",
    "rope_1", "rope_2",
    "button_camera", "button_costume", "button_emotion", "button_eyes", "button_glasses",
    "button_go", "button_gone", "button_hair", "button_recover", "button_breast"
  ],
  eyes: [
    [ // emotion
      [ // color
        ["eyes_normal_blue_A_1", "eyes_normal_blue_A_2", "eyes_normal_blue_A_3"],
        ["eyes_normal_blue_B_1"],
        ["eyes_normal_blue_C_1", "eyes_normal_blue_C_2"],
        ["eyes_normal_blue_D_1", "eyes_normal_blue_D_2"],
        ["eyes_normal_blue_E_1"],
      ],
      [ // color
        ["eyes_normal_red_A_1", "eyes_normal_red_A_2", "eyes_normal_red_A_3"],
        ["eyes_normal_red_B_1"],
        ["eyes_normal_red_C_1", "eyes_normal_red_C_2"],
        ["eyes_normal_red_D_1", "eyes_normal_red_D_2"],
        ["eyes_normal_red_E_1"],
      ],
      [ // color
        ["eyes_normal_gold_A_1", "eyes_normal_gold_A_2", "eyes_normal_gold_A_3"],
        ["eyes_normal_gold_B_1"],
        ["eyes_normal_gold_C_1", "eyes_normal_gold_C_2"],
        ["eyes_normal_gold_D_1", "eyes_normal_gold_D_2"],
        ["eyes_normal_gold_E_1"],
      ],
      [ // color
        ["eyes_normal_black_A_1", "eyes_normal_black_A_2", "eyes_normal_black_A_3"],
        ["eyes_normal_black_B_1"],
        ["eyes_normal_black_C_1", "eyes_normal_black_C_2"],
        ["eyes_normal_black_D_1", "eyes_normal_black_D_2"],
        ["eyes_normal_black_E_1"],
      ],
    ],
    [ // emotion
      [ // color
        ["eyes_angry_blue_A_1", "eyes_angry_blue_A_2", "eyes_angry_blue_A_3"],
        ["eyes_angry_blue_B_1"],
        ["eyes_angry_blue_C_1", "eyes_angry_blue_C_2"],
        ["eyes_angry_blue_D_1", "eyes_angry_blue_D_2"],
        ["eyes_angry_blue_E_1"],
      ],
      [ // color
        ["eyes_angry_red_A_1", "eyes_angry_red_A_2", "eyes_angry_red_A_3"],
        ["eyes_angry_red_B_1"],
        ["eyes_angry_red_C_1", "eyes_angry_red_C_2"],
        ["eyes_angry_red_D_1", "eyes_angry_red_D_2"],
        ["eyes_angry_red_E_1"],
      ],
      [ // color
        ["eyes_angry_gold_A_1", "eyes_angry_gold_A_2", "eyes_angry_gold_A_3"],
        ["eyes_angry_gold_B_1"],
        ["eyes_angry_gold_C_1", "eyes_angry_gold_C_2"],
        ["eyes_angry_gold_D_1", "eyes_angry_gold_D_2"],
        ["eyes_angry_gold_E_1"],
      ],
      [ // color
        ["eyes_angry_black_A_1", "eyes_angry_black_A_2", "eyes_angry_black_A_3"],
        ["eyes_angry_black_B_1"],
        ["eyes_angry_black_C_1", "eyes_angry_black_C_2"],
        ["eyes_angry_black_D_1", "eyes_angry_black_D_2"],
        ["eyes_angry_black_E_1"],
      ],
    ],
    [ // emotion
      [ // color
        ["eyes_angry_blue_A_1", "eyes_angry_blue_A_2", "eyes_angry_blue_A_3"],
        ["eyes_angry_blue_B_1"],
        ["eyes_angry_blue_C_1", "eyes_angry_blue_C_2"],
        ["eyes_angry_blue_D_1", "eyes_angry_blue_D_2"],
        ["eyes_angry_blue_E_1"],
      ],
      [ // color
        ["eyes_angry_red_A_1", "eyes_angry_red_A_2", "eyes_angry_red_A_3"],
        ["eyes_angry_red_B_1"],
        ["eyes_angry_red_C_1", "eyes_angry_red_C_2"],
        ["eyes_angry_red_D_1", "eyes_angry_red_D_2"],
        ["eyes_angry_red_E_1"],
      ],
      [ // color
        ["eyes_angry_gold_A_1", "eyes_angry_gold_A_2", "eyes_angry_gold_A_3"],
        ["eyes_angry_gold_B_1"],
        ["eyes_angry_gold_C_1", "eyes_angry_gold_C_2"],
        ["eyes_angry_gold_D_1", "eyes_angry_gold_D_2"],
        ["eyes_angry_gold_E_1"],
      ],
      [ // color
        ["eyes_angry_black_A_1", "eyes_angry_black_A_2", "eyes_angry_black_A_3"],
        ["eyes_angry_black_B_1"],
        ["eyes_angry_black_C_1", "eyes_angry_black_C_2"],
        ["eyes_angry_black_D_1", "eyes_angry_black_D_2"],
        ["eyes_angry_black_E_1"],
      ],
    ],
    [ // emotion
      [ // color
        ["eyes_pleasure_blue_A_1", "eyes_pleasure_blue_A_2", "eyes_pleasure_blue_A_3"],
        ["eyes_pleasure_blue_B_1"],
        ["eyes_pleasure_blue_C_1", "eyes_pleasure_blue_C_2"],
        ["eyes_pleasure_blue_D_1", "eyes_pleasure_blue_D_2"],
        ["eyes_pleasure_blue_E_1"],
      ],
      [ // color
        ["eyes_pleasure_red_A_1", "eyes_pleasure_red_A_2", "eyes_pleasure_red_A_3"],
        ["eyes_pleasure_red_B_1"],
        ["eyes_pleasure_red_C_1", "eyes_pleasure_red_C_2"],
        ["eyes_pleasure_red_D_1", "eyes_pleasure_red_D_2"],
        ["eyes_pleasure_red_E_1"],
      ],
      [ // color
        ["eyes_pleasure_gold_A_1", "eyes_pleasure_gold_A_2", "eyes_pleasure_gold_A_3"],
        ["eyes_pleasure_gold_B_1"],
        ["eyes_pleasure_gold_C_1", "eyes_pleasure_gold_C_2"],
        ["eyes_pleasure_gold_D_1", "eyes_pleasure_gold_D_2"],
        ["eyes_pleasure_gold_E_1"],
      ],
      [ // color
        ["eyes_pleasure_black_A_1", "eyes_pleasure_black_A_2", "eyes_pleasure_black_A_3"],
        ["eyes_pleasure_black_B_1"],
        ["eyes_pleasure_black_C_1", "eyes_pleasure_black_C_2"],
        ["eyes_pleasure_black_D_1", "eyes_pleasure_black_D_2"],
        ["eyes_pleasure_black_E_1"],
      ],
    ],
  ],
  mouth: [
    [ // emotion
      ["mouth_normal_A_1", "mouth_normal_A_2"],
      ["mouth_normal_B_1"],
      ["mouth_normal_C_1", "mouth_normal_C_2"],
      ["mouth_normal_D_1", "mouth_normal_D_2"],
      ["mouth_normal_E_1"],
    ],
    [ // emotion
      ["mouth_angry_A_1", "mouth_angry_A_2"],
      ["mouth_angry_B_1"],
      ["mouth_angry_C_1", "mouth_angry_C_2"],
      ["mouth_angry_D_1", "mouth_angry_D_2"],
      ["mouth_angry_E_1"],
    ],
    [ // emotion
      ["mouth_pleasure_A_1", "mouth_pleasure_A_2"],
      ["mouth_pleasure_B_1"],
      ["mouth_pleasure_C_1", "mouth_pleasure_C_2"],
      ["mouth_pleasure_D_1", "mouth_pleasure_D_2"],
      ["mouth_normal_E_1"],
    ],
    [ // emotion
      ["mouth_pleasure_A_1", "mouth_pleasure_A_2"],
      ["mouth_pleasure_B_1"],
      ["mouth_pleasure_C_1", "mouth_pleasure_C_2"],
      ["mouth_pleasure_D_1", "mouth_pleasure_D_2"],
      ["mouth_pleasure_E_1"],
    ],
  ],
  face: [
    [ // normal
      ["face_normal_ciel_A", "face_normal_ciel_B", "face_normal_ciel_C", "face_normal_ciel_D", "face_normal_ciel_E"],
      ["face_normal_ciel_A", "face_normal_ciel_B", "face_normal_ciel_C", "face_normal_ciel_D", "face_normal_ciel_E"],
      ["face_normal_arc_A", "face_normal_arc_B", "face_normal_arc_C", "face_normal_arc_D", "face_normal_arc_E"],
      ["face_normal_arc_A", "face_normal_arc_B", "face_normal_arc_C", "face_normal_arc_D", "face_normal_arc_E"],
      ["face_normal_akiha_A", "face_normal_akiha_B", "face_normal_akiha_C", "face_normal_akiha_D", "face_normal_akiha_E"],
      ["face_normal_akiha_A", "face_normal_akiha_B", "face_normal_akiha_C", "face_normal_akiha_D", "face_normal_akiha_E"],
    ],
    [ // angry
      ["face_normal_ciel_A", "face_normal_ciel_B", "face_normal_ciel_C", "face_normal_ciel_D", "face_normal_ciel_E"],
      ["face_normal_ciel_A", "face_normal_ciel_B", "face_normal_ciel_C", "face_normal_ciel_D", "face_normal_ciel_E"],
      ["face_normal_arc_A", "face_normal_arc_B", "face_normal_arc_C", "face_normal_arc_D", "face_normal_arc_E"],
      ["face_normal_arc_A", "face_normal_arc_B", "face_normal_arc_C", "face_normal_arc_D", "face_normal_arc_E"],
      ["face_normal_akiha_A", "face_normal_akiha_B", "face_normal_akiha_C", "face_normal_akiha_D", "face_normal_akiha_E"],
      ["face_normal_akiha_A", "face_normal_akiha_B", "face_normal_akiha_C", "face_normal_akiha_D", "face_normal_akiha_E"],
    ],
    [ // angry-pleasure
      ["face_normal_ciel_A", "face_normal_ciel_B", "face_normal_ciel_C", "face_normal_ciel_D", "face_normal_ciel_E"],
      ["face_normal_ciel_A", "face_normal_ciel_B", "face_normal_ciel_C", "face_normal_ciel_D", "face_normal_ciel_E"],
      ["face_normal_arc_A", "face_normal_arc_B", "face_normal_arc_C", "face_normal_arc_D", "face_normal_arc_E"],
      ["face_normal_arc_A", "face_normal_arc_B", "face_normal_arc_C", "face_normal_arc_D", "face_normal_arc_E"],
      ["face_normal_akiha_A", "face_normal_akiha_B", "face_normal_akiha_C", "face_normal_akiha_D", "face_normal_akiha_E"],
      ["face_normal_akiha_A", "face_normal_akiha_B", "face_normal_akiha_C", "face_normal_akiha_D", "face_normal_akiha_E"],
    ],
    [ //pleasure
      ["face_pleasure_ciel_A", "face_pleasure_ciel_B", "face_pleasure_ciel_C", "face_pleasure_ciel_D", "face_pleasure_ciel_E"],
      ["face_pleasure_ciel_A", "face_pleasure_ciel_B", "face_pleasure_ciel_C", "face_pleasure_ciel_D", "face_pleasure_ciel_E"],
      ["face_pleasure_arc_A", "face_pleasure_arc_B", "face_pleasure_arc_C", "face_pleasure_arc_D", "face_pleasure_arc_E"],
      ["face_pleasure_arc_A", "face_pleasure_arc_B", "face_pleasure_arc_C", "face_pleasure_arc_D", "face_pleasure_arc_E"],
      ["face_pleasure_akiha_A", "face_pleasure_akiha_B", "face_pleasure_akiha_C", "face_pleasure_akiha_D", "face_pleasure_akiha_E"],
      ["face_pleasure_akiha_A", "face_pleasure_akiha_B", "face_pleasure_akiha_C", "face_pleasure_akiha_D", "face_pleasure_akiha_E"],
    ],
    
  ],
  hair: [
    ["hair_front_ciel", "hair_side_ciel", "hair_back_ciel"],
    ["hair_front_ciel-long", "hair_side_ciel", "hair_back_ciel-long"],
    ["hair_front_arc", "hair_side_arc", "hair_back_arc"],
    ["hair_front_arc", "hair_side_arc", "hair_back_arc-long"],
    ["hair_front_akiha", "hair_side_akiha", "hair_back_akiha"],
    ["hair_front_akiha-red", "hair_side_akiha-red", "hair_back_akiha-red"],
  ],
  glasses: [
    "glasses_none", "glasses_glasses", "glasses_eyemask",
  ],
  pee: [
    "pee_1", "pee_2", "pee_3",
  ],
  ubody: [
    ["ubody_normal_A", "ubody_normal_B", "ubody_normal_C", "ubody_normal_D", "ubody_normal_E"],
    ["ubody_slim_A", "ubody_slim_B", "ubody_slim_C", "ubody_slim_D", "ubody_slim_E"],
  ],
  lleg: ["lleg_A", "lleg_B", "lleg_C", "lleg_D", "lleg_E"],
  rleg: ["rleg_A", "rleg_B", "rleg_C", "rleg_D", "rleg_E"],
  costume: [
    ["costume_nude_ubody", "costume_nude_lleg", "costume_nude_rleg", "costume_nude_back"],
    ["costume_yshirt_ubody", "costume_nude_lleg", "costume_nude_rleg", "costume_nude_back"],
    ["costume_ciel-uniform_ubody", "costume_ciel-uniform_lleg", "costume_ciel-uniform_rleg", "costume_nude_back"],
    ["costume_ciel-cassock_ubody", "costume_ciel-cassock_lleg", "costume_ciel-cassock_rleg", "costume_nude_back"],
    ["costume_ciel-armed_ubody", "costume_ciel-armed_lleg", "costume_ciel-armed_rleg", "costume_nude_back"],
    ["costume_ciel-mantle_ubody", "costume_nude_lleg", "costume_nude_rleg", "costume_ciel-mantle_back"],
    ["costume_arc-normal_ubody", "costume_nude_lleg", "costume_nude_rleg", "costume_nude_back"],
    ["costume_arc-dress_ubody", "costume_nude_lleg", "costume_nude_rleg", "costume_nude_back"],
  ],
};

var soundDefs = ["door"];

var eyesPatterns = [
  [ // normal
    [114, 4, 3],
    [0],
    [2,2],
    [2,2],
    [0],
  ],
  [ // angry
    [114, 4, 3],
    [0],
    [2,2],
    [2,2],
    [0],
  ],
  [ // angry-pleasure
    [114, 4, 3],
    [0],
    [2,2],
    [2,2],
    [0],
  ],
  [ // pleasure
    [114, 4, 3],
    [0],
    [2,2],
    [2,2],
    [0],
  ],
];

var mouthPatterns = [
  [ // normal
    [6,6],
    [0],
    [2,2],
    [3,2],
    [0]
  ],
  [ // angry
    [6,6],
    [0],
    [2,2],
    [3,2],
    [0]
  ],
  [ // angry-pleasure
    [4,4],
    [0],
    [2,2],
    [3,2],
    [0]
  ],
  [ // pleasure
    [4,4],
    [0],
    [2,2],
    [3,2],
    [0]
  ],
];

var totalStates = 5; // A,B,C,D,E
