/*
 Death by Hanging::scripts/TitleScene.js
 Copyright (C) 2014 granony
 This software is released under the MIT License.
 http://opensource.org/licenses/mit-license.php
 
 タイトル用シーン
 本作では何も表示せず，b2worldとキャラクタの作成後，即座にプレイシーンへ飛ばす
*/
function TitleScene(rm, params){
  "use strict";

  var dom = jQuery("#game")[0];
  var $canvas = jQuery("#canvas");
  var canvas = $canvas[0];
  var ctx = canvas.getContext("2d");
   
  // キャプチャ用のハンドラ
  var sKeyPressed = false;
  var onKeyDown = function(e){
    if(!sKeyPressed && e.which==83){ //83==s
      sKeyPressed = true;
      captureScreenShot();
    };
  }
  var onKeyUp = function(e){
    if(e.which==83 || e.type=="blur"){
      sKeyPressed = false;
    }
  }
  
  // 再プレイ用に既存のハンドラを開放してから再バインド
  jQuery(window).unbind("keydown");
  jQuery(window).unbind("keyup blur");
  jQuery(window).bind("keydown", onKeyDown);
  jQuery(window).bind("keyup blur", onKeyUp);
  
  var start = function(){
      // 初回起動時のみ b2world を作成する
    if(!params.world){
      params.world = new b2World(
        new b2Vec2(0, 10),    //gravity=10
        false                 //not allow sleep
      );
      params.scale = 100;
    }
    params.character = new Character(params, rm);
    dom.dispatchEvent(createChangeSceneEvent("play"));
  }
  
  return {
    start: start,
    stop : function(){},
  };
}

